apiVersion: v1
items:
- apiVersion: projectcalico.org/v3
  kind: GlobalNetworkPolicy
  metadata:
    annotations:
      aname: avalue
    labels:
      projectcalico.org/tier: default
    name: default.allow-tcp-6379
  spec:
    egress:
    - action: Allow
      icmp:
        code: 25
        type: 25
      protocol: ICMP
    ingress:
    - action: Allow
      destination:
        ports:
        - 6379
      notProtocol: UDPLite
      protocol: TCP
      source:
        notSelector: role != 'something' && thing in {'one', 'two'}
        selector: role == 'frontend' && thing not in {'three', 'four'}
    - action: Allow
      protocol: TCP
      source:
        notSelector: role != 'something' && thing in {'one', 'two'}
    - action: Deny
      destination:
        notPorts:
        - 80
        ports:
        - 22
        - 443
      protocol: TCP
    - action: Allow
      source:
        nets:
        - 172.18.18.200/32
        - 172.18.19.0/24
    - action: Allow
      source:
        nets:
        - 172.18.18.100/32
    - action: Deny
      source:
        notNets:
        - 172.19.19.100/32
    - action: Deny
      source:
        notNets:
        - 172.18.0.0/16
    order: 1234
    selector: role == 'database' && !has(demo)
    tier: default
    types:
    - Ingress
    - Egress
- apiVersion: projectcalico.org/v3
  kind: GlobalNetworkPolicy
  metadata:
    labels:
      projectcalico.org/tier: default
    name: default.allow-tcp-555-donottrack
  spec:
    applyOnForward: true
    doNotTrack: true
    ingress:
    - action: Allow
      destination:
        ports:
        - 555
      protocol: TCP
      source:
        selector: role == 'cache'
    order: 1230
    selector: role == 'database'
    tier: default
    types:
    - Ingress
kind: List
metadata: {}
